﻿#pragma once
#include <windows.h>
using namespace Platform;

namespace RuntimeComponentTest
{
    public ref class WindowsPhoneRuntimeComponent sealed
    {
    public:
        WindowsPhoneRuntimeComponent();
		int Add(int x, int y)
		{
			return x + y;
		}

		typedef int(*lpAdd)(int a,int b);
		int Add2(int i,int j)
		{
			HINSTANCE hDll; 
			hDll = LoadPackagedLibrary(L"PhoneDLLTest.dll",0);
			DWORD error = GetLastError();
			lpAdd add = (lpAdd)GetProcAddress(hDll, "Add");
			int result;
			result = add(i,j);
			FreeLibrary(hDll);
			return result;
		}

		int Cal(const Array<unsigned char>^ parameter1, Array<unsigned char>^* parameter2)
		{
			unsigned char* temp = parameter1->Data;
			*parameter2 = ref new Array<unsigned char>(temp,parameter1->Length);
			return 0;
		}
    };
}